Bug 119774 - scsi.agent too fast, misses device
scsi.agent too fast, misses device
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-04-01 21:38 EST by Barry Stewart
Modified: 2014-03-16 22:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-07 17:52:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry Stewart 2004-04-01 21:38:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
After plugging in my usb card reader (Lexar USB 2.0 Multi-Card
Reader), scsi.agent complains that it doesn't know how to add the device.

Somehow the sd_mod kernel module gets loaded anyway.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Plug in usb card reader
2. View scsi.agent message in log.


Actual Results:  scsi.agent logs the following message:

scsi.agent[2744]: how to add device type= at
/devices/pci0000:00/0000:00:10.3/usb4/4-2/4-2:1.0/host3/3:0:0:0 ??

Expected Results:  scsi.agent should have logged the following:

scsi.agent[2914]: disk at

Additional info:

I have worked around the problem by adding "sleep 0.5" to the
beginning of the /etc/hotplug/scsi.agent script.  It seems scsi.agent
looks for a file in the /sys directory before it (the file) gets created.
Comment 1 Bill Nottingham 2005-02-04 16:03:22 EST
Does this still happen with FC2/FC3?
Comment 2 Barry Stewart 2005-02-05 14:52:07 EST
Works fine with FC3.  It automatically mounted and put an icon on my
desktop, too.

scsi.agent[18185]: disk at
scsi.agent[18151]: disk at
scsi.agent[18162]: disk at
Comment 3 Bill Nottingham 2005-02-07 14:43:29 EST
Argh, duh. Shouldn't have asked about FC3, it uses a different interface .
Comment 4 Bill Nottingham 2005-02-07 17:40:21 EST

*** This bug has been marked as a duplicate of 119140 ***
Comment 5 Bill Nottingham 2005-02-07 17:52:31 EST
Closing as 'currentrelease' for now. Please reopen if it reoccurs.

Note You need to log in before you can comment on or make changes to this bug.